<template>
  <AppLayout title="Notifications" class="h-screen">
    <template #header>
      <h2 class="font-semibold text-xl text-gray-800 leading-tight">
        Notifications
      </h2>
    </template>
    <div class="header"></div>
    <div
      v-for="notification in myNotifications.data"
      :key="notification.id"
      class="flex p-4 border-b bg-white"
    >
      <div class="flex-1">
        <div class="flex items-center">
          <div class="flex-shrink-0">
            <img
              :src="notification.user.photo"
              class="w-10 h-10 rounded-full mr-4"
            />
          </div>
          <div class="flex-1">
            <div class="text-sm">
              <a class="font-semibold text-gray-900">
                {{ notification.user.name }}
              </a>
              <p class="text-gray-600">
                {{ notification.user.email }}
              </p>
            </div>
          </div>
        </div>
        <div class="text-sm text-gray-600">
          You have a match with {{ notification.user.name }}
        </div>
      </div>
      <div class="text-sm text-gray-600">
        {{ notification.created_at }}
      </div>
    </div>
  </AppLayout>
</template>

<script>
import AppLayout from "@/Layouts/AppLayout.vue";
export default {
  components: {
    AppLayout,
  },
  props: {
    notifications: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {
      myNotifications: {},
    };
  },
  mounted() {
      this.myNotifications = JSON.parse(JSON.stringify(this.notifications));
    window.addEventListener("scroll", function () {
    if (
        window.innerHeight + window.scrollY >=
        document.body.offsetHeight - 100
    ) {
        if (this.myNotifications.links.next){
            axios.get(this.myNotifications.links.next).then((response) => {
                this.myNotifications.data = [...this.myNotifications.data, ...response.data.data];
                this.myNotifications.links = response.data.links;
            })
            .catch((error) => {
                console.log('error');
            });
        }
    }
    }.bind(this));

  },
};
</script>

<style>
</style>
